QGIS Application - Bug report #12275
Diagrams shown only for one layer, forever
2015-02-26 03:51 AM - Kevin Darras

Status: Closed

Priority: Normal

Assignee:

Category: Diagrams

Affected QGIS version:2.8.0 Regression?: No
Operating System: Windows Seven Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20458
Description

I am not sure whether everyone has the same problem, but here it is:

| have a nice project file in Qgis 2.6.1 with lots of layers. Sometimes | need to show diagrams from either one layer or the other.

However it seems that the layer for which | generated diagrams first prevents the diagram generation for other layers, even after
unchecking/hiding them. The only solution is to to a new project file and re-import the layers.

You can try that with the two test files | attached here.

History

#1 - 2015-02-26 07:30 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi,

| cannot see this issue, or maybe | haven't understand it.

It would be better to attach a sample project, were you have configured the diagram options that in your case are causing the described issue.

#2 - 2015-03-03 07:03 AM - Kevin Darras
- File diagrams_not_showing_for_all_layers.qgs added

Thanks for your answer.

Here is the project file that you can use along with the layer files | sent.

Actually it does not seem to depend on which layer you enable diagrams for. | tried to repeat it here but this time the diagrams just don't show for the points
layer, although they do for the polygon layer (and they did some other time | tried).

#3 - 2015-03-04 04:56 AM - Giovanni Manghi
- File diagrams.png added

| can see diagrams from both layers, see attached image. Isn't this what you are getting?
#4 - 2015-03-05 10:56 AM - Kevin Darras

No, | don't see the smaller pie charts at all. | disabled all plugins that | installed additionally to the default ones and | still have the same problem.

#5 - 2015-03-05 04:29 PM - Giovanni Manghi

Kevin Darras wrote:

No, | don't see the smaller pie charts at all. | disabled all plugins that | installed additionally to the default ones and | still have the same problem.

I'm lost, | cannot uderstand what diagrams do not show, can you post a screenshot describing the issue? thanks.

#6 - 2015-03-05 11:00 PM - Kevin Darras

- File diagrams_not_showing_for_point_layer.png added

As | said, | don't see the smaller pie charts of the point layer (screenshot attached). Even when | check the box to show all diagrams including colliding

ones.

#7 - 2015-03-06 11:39 AM - Giovanni Manghi

Kevin Darras wrote:

As I said, | don't see the smaller pie charts of the point layer (screenshot attached). Even when | check the box to show all diagrams including

colliding ones.

do you acknowledge that i the image | attached here the diagrams are visible? try exclude factors like 3rd party plugins.

#8 - 2015-04-13 06:25 AM - Nyall Dawson

Can you test again with current master version? A lot of diagram related fixes have landed which may have solved this.

#9 - 2015-04-13 05:53 PM - Kevin Darras

- % Done changed from 0 to 100

- File all_diagrams_displayed.PNG added
- Status changed from Feedback to Closed

Problem solved, thank you very much.

Files

test_files.zip 51.5KB 2015-02-26 Kevin Darras
diagrams_not_showing_for_all_layers.qgs 40.4 KB 2015-03-03 Kevin Darras
diagrams.png 200 KB 2015-03-04 Giovanni Manghi
diagrams_not_showing_for_point_layer.png 644 KB 2015-03-05 Kevin Darras
all_diagrams_displayed.PNG 35.2 KB 2015-04-13 Kevin Darras
